function  dumpFlowBenchStats(fname)
% dumpFlowBenchStats  Print averaged data flow bench measurements with statistical sampling
%
% Synopsis:  dumpFlowBenchStats
%            dumpFlowBenchStats(fname)
%
% Input:  fname = (optional) name of MAT file containing averaged flow bench data.
%                 Default: fname = 'sampleAve.mat'.

if nargin<1, fname = 'sampleAve.mat';  end

% --- Read data from MAT file
d = loadFBStatsData(fname);

fprintf('\nData for %s:\n',fname);
fprintf('\n Noz. dia.     TC emf (mv)      Plenum Dp (V)     Nozzle Dp (V)\n');
fprintf('    (cm)      ave     stddev    ave     stdev     ave     stddev\n');
for i=1:length(d.dn)
  fprintf(' %8.3f  %8.4f %8.4f %8.4f %8.4f %8.4f %8.4f\n',...
    d.dn(i)*100,d.emf(i)*1000,d.emfstd(i)*1000,...
    d.vpp(i),d.vppstd(i),d.vpp(i),d.vppstd(i));
end
