function [dn,vdpp,vdpn,emf] = loadFlowBenchData(fname,verbose)

% --- Constants for dealing with file headers and numbers of columns
nlabels = 0;     %  Don't read column labels
nhead = 10;      %  number of header lines to ignore
ncol = 6;        %  Total number of columns in the file

% --- Read data and let flowBench reduce it:  data files must use consistent format
[dn,D] = loadColData(fname,ncol,nhead,nlabels);
dn = dn*2.54e-2;          %  convert inches to m
vdpp = D(:,3);            %  p transducer between plenum and ambient, V
vdpn = D(:,4);            %  p transducer across nozzle, V
emf = D(:,5)*1e-3;        %  emf of tcouple upstream of nozzle, V

if (verbose)
  % --- Print table of raw data
  fprintf('\nData for %s:\n',fname);
  fprintf('\n    dn       emf       vdpp      vdpn\n');
  fprintf('   (cm)      (mv)      (V)       (V)\n');
  for i=1:length(dn)
    fprintf('%8.4f  %8.4f  %8.4f  %8.4f\n',dn(i)*100,emf(i)*1000,vdpp(i),vdpn(i));
  end
end