function vars = makeVarAgilentData(fname)
% makeVarAgilentData  Create a struct of data exported by Benchlink
%                     This function is a hack to assign variables to the
%                     columns in a text file where the first row of the
%                     text file contains variable names
%
% Synopsis:  vars = makeVarAgilentData
%            vars = makeVarAgilentData(fname)
%
% Input:  fname = (string) name of file containing the data.  If fname is
%                 not supplied, the user is given a dialog box to specify
%                 the file to be read

% --- Read the file
if nargin<1
  [t,data,channelList,varnames,status] = loadAgilentData;
else
  [t,data,channelList,varnames,status] = loadAgilentData(fname);
end
if status~=1
  error('Failed attempt to read >>%s<<',fname);
end

% --- Use eval to create variables that are saved to MAT file
vars.t = t;
vars.names = varnames;
vars.channels = channelList;
nchan = size(data,2);
for j = 1:nchan
  var = deblank(varnames(j,:));
  eval(sprintf('vars.%s=data(:,%d);',var,j));
end
