function [t,destr] = readEventLog(fname)
% readEventLog  Import contents of event log from BenchLink

if nargin<1, fname='test2_eventlog.txt';  end
nhead = 1;   %  number of header lines

% --- Read event log into cell array C, then extract fields
fid = fopen(fname);
C = textscan(fid, '%s %s %s %s %s %s%*[^\n]','delimiter','\t','whitespace','','headerlines',nhead);
fclose(fid);

% --- C{1}, C{2}, etc are the columns of text data from the file
tstr = strvcat(C{1});     %  matrix of date/time string
t = datenum(tstr, 'mm/dd/yy HH:MM:SS.FFF AM');
tz = (t - min(t));
evstr = strvcat(C{2});    %  event string
chstr = strvcat(C{3});    %  channel string
ch = str2num(chstr);      %  channel string
destr = strvcat(C{4});    %  description string

debug = false;
if debug
  for i=1:length(tz)
    text(tz(i),i,destr(i,:));
    fprintf('%12.4f  %s\n',tz(i),destr(i,:))
    hold on
  end
  axis([min(tz)  max(tz) 0 length(tz)]);
end